summaryrefslogtreecommitdiffstats
path: root/lib/container/list
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@open-infrastructure.net>2016-03-12 06:24:01 +0000
committerDaniel Baumann <daniel.baumann@open-infrastructure.net>2016-03-12 06:24:01 +0000
commit493dd9e4cec69e6dc8d59665e964433afee71dda (patch)
tree5088e4d5e531ad8a0369729f6e792936a36808e6 /lib/container/list
parentAdding container program. (diff)
downloadcompute-tools-493dd9e4cec69e6dc8d59665e964433afee71dda.tar.xz
compute-tools-493dd9e4cec69e6dc8d59665e964433afee71dda.zip
Adding container commands.
Signed-off-by: Daniel Baumann <daniel.baumann@open-infrastructure.net>
Diffstat (limited to 'lib/container/list')
-rwxr-xr-xlib/container/list67
1 files changed, 67 insertions, 0 deletions
diff --git a/lib/container/list b/lib/container/list
new file mode 100755
index 0000000..08259b9
--- /dev/null
+++ b/lib/container/list
@@ -0,0 +1,67 @@
+#!/bin/sh
+
+# Open Infrastructure: container-tools
+# Copyright (C) 2014-2015 Daniel Baumann <daniel.baumann@open-infrastructure.net>
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+set -e
+
+COMMAND="$(basename ${0})"
+
+MACHINES="/var/lib/machines"
+
+Usage ()
+{
+ echo "Usage: container ${COMMAND}" >&2
+ exit 1
+}
+
+if [ -n "${1}" ]
+then
+ Usage
+fi
+
+# Run
+CONTAINERS="$(cd "${MACHINES}" && find -maxdepth 1 -type d -printf '%P\n' | sort)"
+
+echo RUNNING
+
+for CONTAINER in ${CONTAINERS}
+do
+ STATE="$(machinectl show ${CONTAINER} 2>&1 | awk -F= '/^State=/ { print $2 }')"
+
+ case "${STATE}" in
+ running)
+ echo " ${CONTAINER}"
+ ;;
+ esac
+done
+
+echo
+echo STOPPED
+
+for CONTAINER in ${CONTAINERS}
+do
+ STATE="$(machinectl show ${CONTAINER} 2>&1 | awk -F= '/^State=/ { print $2 }')"
+
+ case "${STATE}" in
+ running)
+ ;;
+
+ *)
+ echo " ${CONTAINER}"
+ ;;
+ esac
+done